[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# ResemblesProc

Callback to compute string soundex

## Declaration

Source position: strutils.pp line 162

`const ResemblesProc: TCompareTextProc = @ SoundexProc;`

## Description

ResemblesProc is a procedure variable which can be set to compare 2 string. It is similar to AnsiResemblesProc, and by default is set to the SoundExProc function.

## See also

SoundExProc |  | Default AnsiResemblesText implementation.
AnsiResemblesProc |  | Procedural variable, called when checking 2 strings for resemblances in AnsiResemblesText